List runs
GET
/api/v1/automations/runs
const url = 'https://digize.com/api/v1/automations/runs';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://digize.com/api/v1/automations/runs \ --header 'x-api-key: <x-api-key>'The newest runs, up to 1,000, of one workflow or all of them.
Needs the automations:read permission.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”workflowId
string
Responses
Section titled “Responses”Done
Media typeapplication/json
object
rows
required
Array<object>
object
id
required
string
workflowId
required
string
workflowName
required
string
mode
required
string
cause
required
What started it, such as “Order #1042 paid”.
string
status
required
string
nodeName
required
The node it’s on, or stopped at.
string | null
nodesRun
required
number
nodeCount
required
number
startedAt
required
string format: date-time
error
required
string | null
retryOf
required
string | null
total
required
number
Example
{ "rows": [ { "mode": "trigger", "status": "running" } ]}What was sent isn’t valid (invalid).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}No key, or one that’s unknown, off or expired.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}The key doesn’t have the permission this needs.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}Nothing has that id (not_found).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}Over the rate limit; see retry-after.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}